Speedup ONOS startup
diff --git a/titan/gremlin.sh b/titan/gremlin.sh
index 55354e3..d5d5da4 100755
--- a/titan/gremlin.sh
+++ b/titan/gremlin.sh
@@ -10,7 +10,11 @@
 #CP=`${MVN} -f ${ONOS_DIR}/pom.xml dependency:build-classpath -Dmdep.outputFile=/dev/stdout -l /dev/stderr`
 
 # Use a python script to parse the classpath out of the .classpath file
-CP=`${BASE_DIR}/../scripts/parse-classpath.py`
+if [ ! -f ${BASE_DIR}/../.javacp ]; then
+  echo "execute mvn compile at ONOS HOME directory."
+  exit 1
+fi
+CP=`cat ${BASE_DIR}/../.javacp`
 
 if [[ "$CP" == *"Error reading classpath file"* ]]; then
     echo $CP